Skip to main content
POST
/
v2
/
orgs
/
{orgId}
/
chat
cURL
curl --request POST \
  --url 'https://api.obvlo.com/v2/orgs/{orgId}/chat?key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message": "",
  "action": "chat"
}
'
{
  "message": "<string>",
  "listings": [
    {
      "id": "<string>",
      "name": "<string>",
      "category": "<string>",
      "address": "<string>",
      "geoDistance": 123,
      "googleRating": 123,
      "priceLevel": 123,
      "openNow": true,
      "photo": {
        "url": "<string>"
      },
      "googleMapsUrl": "<string>"
    }
  ],
  "guides": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "coverImage": {
        "url": "<string>"
      },
      "listingCount": 123,
      "geoDistance": 123
    }
  ],
  "toolUsed": true,
  "actions": [
    {
      "id": "<string>",
      "label": "<string>",
      "value": "<string>",
      "type": "query"
    }
  ],
  "hostInterests": [
    {
      "id": "<string>",
      "name": "<string>",
      "travellerTypes": [
        "<string>"
      ]
    }
  ],
  "itinerary": {
    "name": "<string>",
    "durationDays": 123,
    "days": [
      {
        "dayNumber": 123,
        "activities": [
          {
            "timeOfDay": "morning",
            "activityType": "<string>",
            "placeType": "listing",
            "placeId": "<string>",
            "placeName": "<string>",
            "rationale": "<string>",
            "placePhoto": "<string>",
            "travelTime": 123,
            "listing": {
              "id": "<string>",
              "name": "<string>",
              "category": "<string>",
              "address": "<string>",
              "geoDistance": 123,
              "googleRating": 123,
              "priceLevel": 123,
              "openNow": true,
              "photo": {
                "url": "<string>"
              },
              "googleMapsUrl": "<string>"
            },
            "location": {
              "id": "<string>",
              "name": "<string>",
              "address": "<string>",
              "description": "<string>",
              "geoDistance": 123,
              "photo": {
                "url": "<string>"
              },
              "googleMapsUrl": "<string>"
            }
          }
        ],
        "summary": "<string>"
      }
    ],
    "summary": "<string>"
  }
}

Authorizations

key
string
query
required

Path Parameters

orgId
string
required

Organization Account Number

Body

application/json

Chat request payload.

message
string
default:""
required
action
enum<string>
default:chat
required
Available options:
chat,
createItinerary,
sendEmail
orgId
string
lang
string
location
string
latlng
string
profileId
string
conversationHistory
object[]
preferences
object
sessionId
string
fingerprintId
string
email
string<email>
Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
itinerary
any
durationDays
number
Required range: 1 <= x <= 7

Response

Success

message
string
required
listings
object[]
required
guides
object[]
required
toolUsed
boolean
required
actions
object[]
hostInterests
object[]
itinerary
object